diff --git a/devel/ktextaddons/pkg-plist b/devel/ktextaddons/pkg-plist
index 84168f405309..e9298b84b6a2 100644
--- a/devel/ktextaddons/pkg-plist
+++ b/devel/ktextaddons/pkg-plist
@@ -465,5 +440,5 @@ share/locale/zh_TW/LC_MESSAGES/libtextcustomeditor.mo
 share/locale/zh_TW/LC_MESSAGES/libtextedittexttospeech.mo
 share/locale/zh_TW/LC_MESSAGES/libtexttranslator.mo
 share/locale/zh_TW/LC_MESSAGES/libtextgrammarcheck.mo
-share/qlogging-categories5/ktextaddons.categories
-share/qlogging-categories5/ktextaddons.renamecategories
+share/qlogging-categories6/ktextaddons.categories
+share/qlogging-categories6/ktextaddons.renamecategories
diff --git a/devel/lokalize/Makefile b/devel/lokalize/Makefile
index 3b7e5d4fb06d..fa0274752b88 100644
--- a/devel/lokalize/Makefile
+++ b/devel/lokalize/Makefile
@@ -7,15 +7,14 @@ COMMENT=	Computer-aided translation system
 
 LIB_DEPENDS=	libhunspell-1.7.so:textproc/hunspell
 
-USES=		cmake compiler:c++11-lang desktop-file-utils gettext \
-		kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:6 \
+		qt:6 tar:xz xorg
 USE_KDE=	auth bookmarks codecs completion config configwidgets \
-		coreaddons crash dbusaddons doctools i18n itemviews \
-		jobwidgets kio kross notifications parts service solid sonnet \
-		textwidgets widgetsaddons windowsystem xmlgui \
+		coreaddons crash dbusaddons doctools i18n itemviews jobwidgets \
+		kio notifications parts service solid sonnet textwidgets \
+		widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network script sql widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base 
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/devel/lokalize/distinfo b/devel/lokalize/distinfo
index b47528ab890c..8e41388f1fa8 100644
--- a/devel/lokalize/distinfo
+++ b/devel/lokalize/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889340
-SHA256 (KDE/release-service/23.08.5/lokalize-23.08.5.tar.xz) = 8539a3c0bd5c89f42b81276a1d4fd4468f70976987ad329f2495fe2529833e6c
-SIZE (KDE/release-service/23.08.5/lokalize-23.08.5.tar.xz) = 2142784
+TIMESTAMP = 1734460104
+SHA256 (KDE/release-service/24.12.0/lokalize-24.12.0.tar.xz) = b53c6941a80e80d79cca34dff01abf232298c8474909cf4fd390289098d0c5ac
+SIZE (KDE/release-service/24.12.0/lokalize-24.12.0.tar.xz) = 2059536
diff --git a/devel/lokalize/pkg-plist b/devel/lokalize/pkg-plist
index d7b4607014a8..6750ff689972 100644
--- a/devel/lokalize/pkg-plist
+++ b/devel/lokalize/pkg-plist
@@ -5,13 +5,7 @@ share/icons/hicolor/128x128/apps/lokalize.png
 share/icons/hicolor/32x32/apps/lokalize.png
 share/icons/hicolor/64x64/apps/lokalize.png
 share/icons/hicolor/scalable/apps/lokalize.svgz
-share/knotifications5/lokalize.notifyrc
-share/kxmlgui5/lokalize/editorui.rc
-share/kxmlgui5/lokalize/filesearchtabui.rc
-share/kxmlgui5/lokalize/lokalizemainwindowui.rc
-share/kxmlgui5/lokalize/projectmanagerui.rc
-share/kxmlgui5/lokalize/scriptsui.rc
-share/kxmlgui5/lokalize/translationmemoryrui.rc
+share/knotifications6/lokalize.notifyrc
 share/locale/ar/LC_MESSAGES/lokalize.mo
 share/locale/az/LC_MESSAGES/lokalize.mo
 share/locale/be/LC_MESSAGES/lokalize.mo
@@ -204,4 +198,4 @@ share/locale/zh_TW/LC_MESSAGES/lokalize.mo
 %%DATADIR%%/scripts/odf/xliff2odf.rc
 %%DATADIR%%/scripts/odf/xliffmerge.py
 share/metainfo/org.kde.lokalize.appdata.xml
-share/qlogging-categories5/lokalize.categories
+share/qlogging-categories6/lokalize.categories
diff --git a/devel/plasma6-plasma5support/pkg-plist b/devel/plasma6-plasma5support/pkg-plist
index f143002c710e..4ee0d49d33cb 100644
--- a/devel/plasma6-plasma5support/pkg-plist
+++ b/devel/plasma6-plasma5support/pkg-plist
@@ -245,6 +245,7 @@ share/locale/se/LC_MESSAGES/plasma_engine_devicenotifications.mo
 share/locale/si/LC_MESSAGES/plasma_engine_keystate.mo
 share/locale/si/LC_MESSAGES/plasma_engine_soliddevice.mo
 share/locale/sk/LC_MESSAGES/libplasma5support.mo
+share/locale/sk/LC_MESSAGES/plasma_engine_devicenotifications.mo
 share/locale/sk/LC_MESSAGES/plasma_engine_hotplug.mo
 share/locale/sk/LC_MESSAGES/plasma_engine_keystate.mo
 share/locale/sk/LC_MESSAGES/plasma_engine_soliddevice.mo
diff --git a/devel/poxml/Makefile b/devel/poxml/Makefile
index 043fdf2882c7..77429ee19904 100644
--- a/devel/poxml/Makefile
+++ b/devel/poxml/Makefile
@@ -1,16 +1,15 @@
 PORTNAME=	poxml
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	devel kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Tools to translate Docbook XML using gettext
 
-USES=		cmake compiler:c++11-lang gettext-tools:build,run \
-		kde:5 qt:5 tar:xz
-USE_KDE=	doctools ecm:build
-USE_QT=		core xml \
-		buildtools:build qmake:build
+USES=		cmake compiler:c++11-lang gettext-tools:build,run kde:6 qt:6 \
+		tar:xz
+USE_KDE=	doctools \
+		ecm:build
+USE_QT=		base
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/devel/poxml/distinfo b/devel/poxml/distinfo
index 72a7f84613af..b05bafcde04f 100644
--- a/devel/poxml/distinfo
+++ b/devel/poxml/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889335
-SHA256 (KDE/release-service/23.08.5/poxml-23.08.5.tar.xz) = 7a5c72517cc93b8ba9c9ff61adb7c5e7fd2f157cfcb2d8e98c2c28d2c90a67c4
-SIZE (KDE/release-service/23.08.5/poxml-23.08.5.tar.xz) = 44332
+TIMESTAMP = 1734460106
+SHA256 (KDE/release-service/24.12.0/poxml-24.12.0.tar.xz) = 3457d1eee055dd69adf6ca97f1e0db4d37c998f12346160ad6f69ef66400fea5
+SIZE (KDE/release-service/24.12.0/poxml-24.12.0.tar.xz) = 45188
diff --git a/devel/poxml/pkg-plist b/devel/poxml/pkg-plist
index ee6ca6b7168d..6f6a52f44ab2 100644
--- a/devel/poxml/pkg-plist
+++ b/devel/poxml/pkg-plist
@@ -51,6 +51,10 @@ share/man/ru/man1/po2xml.1.gz
 share/man/ru/man1/split2po.1.gz
 share/man/ru/man1/swappo.1.gz
 share/man/ru/man1/xml2pot.1.gz
+share/man/sl/man1/po2xml.1.gz
+share/man/sl/man1/split2po.1.gz
+share/man/sl/man1/swappo.1.gz
+share/man/sl/man1/xml2pot.1.gz
 share/man/sv/man1/po2xml.1.gz
 share/man/sv/man1/split2po.1.gz
 share/man/sv/man1/swappo.1.gz
diff --git a/devel/umbrello/Makefile b/devel/umbrello/Makefile
index ad609d6b6498..aa165f11b6b9 100644
--- a/devel/umbrello/Makefile
+++ b/devel/umbrello/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	umbrello
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	2
 CATEGORIES=	devel kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -9,12 +8,13 @@ WWW=		https://umbrello.kde.org/
 
 LIB_DEPENDS=	libboost_thread.so:devel/boost-libs
 
-USES=		cmake compiler:c++11-lang desktop-file-utils gnome kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang desktop-file-utils gnome kde:5 qt:5 \
+		tar:xz xorg
 USE_GNOME=	libxml2 libxslt
 USE_KDE=	archive auth bookmarks codecs completion config configwidgets \
 		coreaddons crash guiaddons i18n iconthemes init itemviews \
-		jobwidgets kdelibs4support kio notifications parts service \
-		solid sonnet syntaxhighlighting texteditor textwidgets unitconversion \
+		jobwidgets kio notifications parts service solid sonnet \
+		syntaxhighlighting texteditor textwidgets unitconversion \
 		widgetsaddons windowsystem xmlgui \
 		ecm:build
 USE_QT=		concurrent core dbus gui network printsupport svg widgets xml \
diff --git a/devel/umbrello/distinfo b/devel/umbrello/distinfo
index 8238672cee88..fae04ad9dc21 100644
--- a/devel/umbrello/distinfo
+++ b/devel/umbrello/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889337
-SHA256 (KDE/release-service/23.08.5/umbrello-23.08.5.tar.xz) = 4c404222ee5a41976f2c561220c6f74867e9828a0d09a36a8166b9ee1b64c780
-SIZE (KDE/release-service/23.08.5/umbrello-23.08.5.tar.xz) = 5775280
+TIMESTAMP = 1734460108
+SHA256 (KDE/release-service/24.12.0/umbrello-24.12.0.tar.xz) = b972ad5f1a1887047a031839dc99fb27067ebabdb26c80ee5e07750f2b93f0e5
+SIZE (KDE/release-service/24.12.0/umbrello-24.12.0.tar.xz) = 5617524
diff --git a/devel/zeal/Makefile b/devel/zeal/Makefile
index 90209595c9d9..6ce039c14eb6 100644
--- a/devel/zeal/Makefile
+++ b/devel/zeal/Makefile
@@ -14,7 +14,7 @@ LIB_DEPENDS=	libxcb.so:x11/libxcb \
 		libxcb-keysyms.so:x11/xcb-util-keysyms \
 		libxkbcommon.so:x11/libxkbcommon
 
-USES=		cmake compiler:c++17-lang desktop-file-utils gl kde:5 \
+USES=		cmake compiler:c++17-lang desktop-file-utils gl kde:6 \
 		libarchive pkgconfig qt:6 sqlite xorg
 USE_GITHUB=	yes
 GH_ACCOUNT=	zealdocs
diff --git a/editors/Makefile b/editors/Makefile
index 90bec548fc4f..944a65c74c22 100644
--- a/editors/Makefile
+++ b/editors/Makefile
@@ -74,7 +74,6 @@
     SUBDIR += kakoune
     SUBDIR += kakoune-lsp
     SUBDIR += kate
-    SUBDIR += kate-devel
     SUBDIR += kibi
     SUBDIR += kile
     SUBDIR += komodo-edit
diff --git a/editors/kate/Makefile b/editors/kate/Makefile
index 7a23c0d3fd70..51a7127bfb56 100644
--- a/editors/kate/Makefile
+++ b/editors/kate/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	kate
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	4
 CATEGORIES=	editors kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -9,19 +8,19 @@ WWW=		https://kate-editor.org/
 
 BUILD_DEPENDS=	${LOCALBASE}/share/xsl/docbook/html/docbook.xsl:textproc/docbook-xsl \
 		docbook-xml>0:textproc/docbook-xml
-LIB_DEPENDS=	libgit2.so:devel/libgit2
+LIB_DEPENDS=	libgit2.so:devel/libgit2 \
+		libqt6keychain.so:security/qtkeychain@qt6
 
-USES=		cmake compiler:c++11-lang desktop-file-utils gettext \
-		pkgconfig kde:5 qt:5 tar:xz cpe xorg
+USES=		cmake compiler:c++11-lang cpe desktop-file-utils gettext kde:6 \
+		pkgconfig qt:6 tar:xz xorg
 USE_KDE=	activities attica auth bookmarks codecs completion config \
-		configwidgets coreaddons crash dbusaddons \
-		guiaddons i18n iconthemes init itemmodels itemviews \
-		jobwidgets kio newstuff package parts plasma-framework \
-		service solid sonnet syntaxhighlighting texteditor textwidgets \
-		threadweaver wallet widgetsaddons windowsystem xmlgui \
+		configwidgets coreaddons crash dbusaddons guiaddons i18n \
+		iconthemes itemmodels itemviews jobwidgets kio libplasma \
+		newstuff package parts service solid sonnet syntaxhighlighting \
+		texteditor textwidgets threadweaver wallet widgetsaddons \
+		windowsystem xmlgui \
 		doctools:build ecm:build
-USE_QT=		concurrent core dbus gui network script sql widgets xml \
-		buildtools:build qmake:build testlib:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/editors/kate/distinfo b/editors/kate/distinfo
index 7d7544219ecc..8a5e079920da 100644
--- a/editors/kate/distinfo
+++ b/editors/kate/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889355
-SHA256 (KDE/release-service/23.08.5/kate-23.08.5.tar.xz) = 683c49d9c4b2abd4b4660b607b65249a2adfdc48418b0d18ab90810d1a8f4e37
-SIZE (KDE/release-service/23.08.5/kate-23.08.5.tar.xz) = 8043480
+TIMESTAMP = 1734460110
+SHA256 (KDE/release-service/24.12.0/kate-24.12.0.tar.xz) = a5926a0d85c69ca2cc34d87e567501e795e95050e16f896e39cd8cac4ced2348
+SIZE (KDE/release-service/24.12.0/kate-24.12.0.tar.xz) = 8300640
